[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TCustomSQLQuery.Prepared

Is the query prepared ?

## Declaration

Source position: sqldb.pp line 383

`public property TCustomSQLQuery.Prepared : Boolean read IsPrepared;`

## Description

Prepared is true if Prepare was called for this query, and an UnPrepare was not done after that (take care: several actions call UnPrepare implicitly). Initially, Prepared will be False. Calling Prepare if the query was already prepared has no effect.

## See also

TCustomSQLQuery.Prepare |  | Prepare a query for execution.
TCustomSQLQuery.UnPrepare |  | Unprepare a prepared query

Documentation generated on: Feb 26 2014